/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React, { useContext, useEffect, useState } from 'react';
import Welcome from '../../../Components/Components/Welcome';
import LoadingSpinner from 'Components/LoadingSpinner';

import { Store } from 'Store'
import styled from 'styled-components'

const IframeComponent = () => {
    const { state } = useContext(Store);

    const [srcMetabase, setSrcMetabase] = useState('');
    const [loading, setLoading] = useState(false);

    const changeMetabase = () => {
        if (state.contrast !== "")
            setSrcMetabase("https://metabase.c3sl.ufpr.br/public/dashboard/8ada315d-b8df-4b18-b7fb-d06b0ac64623#theme=night");
        else
            setSrcMetabase("https://metabase.c3sl.ufpr.br/public/dashboard/8ada315d-b8df-4b18-b7fb-d06b0ac64623");
    }

    useEffect(() => {
        if (loading === true) {
            changeMetabase();
            setLoading(false);
        }
    }, [ loading ])

    useEffect(() => {
        setLoading(true);
    }, [ state.contrast ])

    return (
        <>
            {!loading ? (
                <StyledDiv contrast={state.contrast}>
                    <Welcome contrast={state.contrast}/>
                    <div style={{ height: '1em' }}></div>
                    <StyledIframe
                        title="Métricas portal MEC"
                        src={srcMetabase}
                        height='800px'
                        width='100%'
                        // allowTransparency={true} 
                        frameBorder={0}
                        contrast={state.contrast}
                    >
                    </StyledIframe>
                </StyledDiv>
            )
            :
            (
                <LoadingSpinner/>
            )
            }
        </>
    )
}

const StyledDiv = styled.div`
    background-color: ${props => props.contrast === "" ? "white" : "black"};
    color: ${props => props.contrast === "" ? "#666" : "white"};
`

const StyledIframe = styled.iframe`
    background-color: ${props => props.contrast === "" ? "white" : "black"};
    color: ${props => props.contrast === "" ? "#666" : "white"};
    border: 1px solid ${props => props.contrast === "" ? "#666" : "white"};
`

export default IframeComponent;
